Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2640343002: predictors: Add precision / recall histograms for speculative prefetch. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 months ago by Benoit L
Modified:
7 months ago
Reviewers:
Ilya Sherman, mattcary
CC:
chromium-reviews, asvitkine+watch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

predictors: Add precision / recall histograms for speculative prefetch. When the prefetch predictor is learning, log the ratios of resources correctly predicted compared to the predicted and actual resources. This is to assess the effectiveness of learning in the wild. BUG=680049 Review-Url: https://codereview.chromium.org/2640343002 Cr-Commit-Position: refs/heads/master@{#445354} Committed: https://chromium.googlesource.com/chromium/src/+/f5c04a333854a4e7f36dd9cdf8d8b2ac2b083672

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+115 lines, -0 lines) Patch
M chrome/browser/predictors/resource_prefetch_predictor.h View 2 chunks +9 lines, -0 lines 0 comments Download
M chrome/browser/predictors/resource_prefetch_predictor.cc View 2 chunks +38 lines, -0 lines 0 comments Download
M chrome/browser/predictors/resource_prefetch_predictor_unittest.cc View 4 chunks +50 lines, -0 lines 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 chunk +18 lines, -0 lines 0 comments Download
Trybot results:  win_chromium_rel_ng   ios-simulator   chromium_presubmit   ios-simulator   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   linux_android_rel_ng   ios-device   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   chromeos_daisy_chromium_compile_only_ng   cast_shell_linux   android_n5x_swarming_rel   ios-simulator   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-device-xcode-clang   ios-simulator   ios-device   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_android_rel_ng   cast_shell_linux   android_n5x_swarming_rel   cast_shell_android   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 19 (11 generated)
Benoit L
7 months ago (2017-01-20 10:26:43 UTC) #6
mattcary
lgtm
7 months ago (2017-01-20 13:18:35 UTC) #7
Benoit L
isherman: Please take a look at the metrics part of the change, thanks!
7 months ago (2017-01-20 13:35:58 UTC) #9
Ilya Sherman
metrics lgtm
7 months ago (2017-01-21 00:14:59 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2640343002/1
7 months ago (2017-01-23 09:08:17 UTC) #12
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-simulator/builds/141637)
7 months ago (2017-01-23 10:01:18 UTC) #14
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2640343002/1
7 months ago (2017-01-23 10:13:14 UTC) #16
commit-bot: I haz the power
7 months ago (2017-01-23 11:30:42 UTC) #19
Message was sent while issue was closed.
Committed patchset #1 (id:1) as
https://chromium.googlesource.com/chromium/src/+/f5c04a333854a4e7f36dd9cdf8d8...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b